commit:     d22591f23653c3dc4a81f93a425b9afc9c51c6be
Author:     Craig Andrews <candrews <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 31 21:13:14 2025 +0000
Commit:     Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Sun Aug 31 21:13:56 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d22591f2

net-libs/ngtcp2: add 1.15.1

Signed-off-by: Craig Andrews <candrews <AT> gentoo.org>

 net-libs/ngtcp2/Manifest             |  1 +
 net-libs/ngtcp2/ngtcp2-1.15.1.ebuild | 60 ++++++++++++++++++++++++++++++++++++
 2 files changed, 61 insertions(+)

diff --git a/net-libs/ngtcp2/Manifest b/net-libs/ngtcp2/Manifest
index ede1872a5e42..3e6267b65974 100644
--- a/net-libs/ngtcp2/Manifest
+++ b/net-libs/ngtcp2/Manifest
@@ -3,3 +3,4 @@ DIST ngtcp2-1.12.0.tar.xz 656116 BLAKE2B 
8559b5ca68bfcb0a290e3dc81311f8d3a8e15d4
 DIST ngtcp2-1.13.0.tar.xz 654972 BLAKE2B 
a8ffc357492176255cc82a2c6426230cacb70cda87488ad497e044870572a45c94f53fc69e0a8ffc00026a7b141db280b42c8b11176beb72e06ecf7412bfa4b1
 SHA512 
e284cb791c56cc342114febe777cd63ad8c00d6d5b0130c474a3dc9f5d4f932926131e4d10a01309de08c364511b8250477c0e88d252f67c231964abf74d82be
 DIST ngtcp2-1.14.0.tar.xz 662652 BLAKE2B 
87cfb6bb6bab7d5067a69d2479dc8bce1a63817cb897e5996df84d20f34266ddea8de8f5014ff13a10f1b02e9358637939605220f760e86149515b2ea9d302ca
 SHA512 
36727ae4cfa7f7f50cc4bef1404f8ee9e969108e2aaa9b8533e52d9e960b0f206bd1a75ad4b7d0e2cec48243072c9ea8d3dac3d45105f91906eb0cf80e7d12e4
 DIST ngtcp2-1.15.0.tar.xz 673064 BLAKE2B 
6671a4388dee95970b9f9e3c1d76c26860070f34ca40e4aaf30915910302a8d71f506786baeaeed083a43e37eafd039c0c87089fe87a34066144348c5378e912
 SHA512 
8d621f49561f80242ec1737ac9706adf7525c17e268f84dbb05c21fd9346921d458d8e64eebad50e4c04d4059aecb5c00245f7fde41781a31fe7da9634b1b222
+DIST ngtcp2-1.15.1.tar.xz 668640 BLAKE2B 
ad100077499adc06227580f6944ae0410b55b7d789f1e1668c70935556aa3d184575336a93f579eaf238b3ccd7b32cd37c6230adbacb7c211dd167576f7364ef
 SHA512 
7d22a58be2292453d9a056f5a39dcdfc04cd2e6db09270be3c6cda4e86c69162e9aca162785b42f34655ffe62b90fb77d0121870bb98ca37cec41b38bd2e47c5

diff --git a/net-libs/ngtcp2/ngtcp2-1.15.1.ebuild 
b/net-libs/ngtcp2/ngtcp2-1.15.1.ebuild
new file mode 100644
index 000000000000..1120f2fc5e63
--- /dev/null
+++ b/net-libs/ngtcp2/ngtcp2-1.15.1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Built with autotools rather than cmake to avoid circular dep (bug #951524
+
+inherit multilib-minimal
+
+if [[ ${PV} == 9999 ]] ; then
+       EGIT_REPO_URI="https://github.com/ngtcp2/ngtcp2.git";
+       inherit autotools git-r3
+else
+       
SRC_URI="https://github.com/ngtcp2/ngtcp2/releases/download/v${PV}/${P}.tar.xz";
+
+       KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv 
~sparc ~x86"
+fi
+
+DESCRIPTION="Implementation of the IETF QUIC Protocol"
+HOMEPAGE="https://github.com/ngtcp2/ngtcp2";
+
+LICENSE="MIT"
+SLOT="0/0"
+IUSE="+gnutls openssl +ssl"
+REQUIRED_USE="ssl? ( || ( gnutls openssl ) )"
+
+RDEPEND="
+       ssl? (
+               gnutls? ( >=net-libs/gnutls-3.7.2:=[${MULTILIB_USEDEP}] )
+               openssl? ( >=dev-libs/openssl-1.1.1:=[${MULTILIB_USEDEP}] )
+       )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+src_prepare() {
+       default
+       [[ ${PV} == 9999 ]] && eautoreconf
+}
+
+multilib_src_configure() {
+       local myeconfargs=(
+               --disable-werror
+               --enable-lib-only
+               $(use_with openssl)
+               $(use_with gnutls)
+               --without-boringssl
+               --without-picotls
+               --without-wolfssl
+               --without-libev
+               --without-libnghttp3
+               --without-jemalloc
+       )
+       ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_install_all() {
+       einstalldocs
+       find "${ED}"/usr -type f -name '*.la' -delete || die
+}

Reply via email to